petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscViewerHDF5HasGroup

Check whether the current (pushed) group exists in the HDF5 file

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5HasGroup(PetscViewer viewer, PetscBool *has)

### Input Parameters

viewer -The HDF5 viewer

### Output Parameter

has -Flag for group existence

### Notes

If the path exists but is not a group, this returns PETSC_FALSE as well.

### See Also

PetscViewerHDF5Open(), PetscViewerHDF5PushGroup(), PetscViewerHDF5PopGroup(), PetscViewerHDF5OpenGroup()

### Level

advanced

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages